<template>
<div>
  <div class="fields">
    <st-switch-select :key="componentKey" :opcion1="switchOblOpc.opcion1" :opcion2="switchOblOpc.opcion2" :val="switchOblOpc.value" @changeSelect="switchOblOpc.value=$event"/>
    <st-switch-select :key="componentKey2" :readonly="readonly" :opcion1="switchGruInd.opcion1" :opcion2="switchGruInd.opcion2" :val="switchGruInd.value" @changeSelect="switchGruInd.value=$event"/>
    <st-switch-select :key="componentKey3" :opcion1="switchAsiSol.opcion1" :opcion2="switchAsiSol.opcion2" :val="switchAsiSol.value" @changeSelect="switchAsiSol.value=$event"/>
    <st-switch-select :key="componentKey4" :opcion1="switchVarFij.opcion1" :opcion2="switchVarFij.opcion2" :val="switchVarFij.value" @changeSelect="switchVarFij.value=$event"/>
  </div>
  <div class="content-footer">
    <st-secondary-btn nombre="Cancelar" @click="$emit('cancel')"/>
    <st-primary-btn :loading="loading" nombre="Actualizar" @click="goNext()"/>
  </div>
</div>
</template>

<script>
import SwitchSelect from "@/components/SwitchSelect"

export default {  
   props:{
    data: Object
  },
  data () {
    return{
      loading: false,
      componentKey: 1,
      componentKey2: 2,
      componentKey3: 3,
      componentKey4: 4,
      readonly: true,
      switchGruInd:{
        value: false,
        opcion1:'Grupal',
        opcion2:'Individual',
      },
      switchOblOpc:{
        value: false,
        opcion1:'Obligatoria',
        opcion2:'Opcional',
      },
      switchAsiSol:{
        value: false,
        opcion1:'Tutor asignado',
        opcion2:'Tutor solicitado',
      },
      switchVarFij:{
        value: false,
        opcion1:'Tutor variable',
        opcion2:'Tutor fijo',
      },
    }
  },
  components: {
    'st-switch-select': SwitchSelect,
  },
  mounted(){
    if(this.data){
      this.componentKey += 2
      this.componentKey2 += 3
      this.componentKey3 += 4
      this.componentKey4 += 5
      this.switchGruInd.value = this.data.individual.value
      this.switchOblOpc.value = !this.data.obligatorio.value
      this.switchAsiSol.value = !this.data.tutorAsignado.value
      this.switchVarFij.value = this.data.tutorFijo.value
    }
  },
  methods: {
    goNext(){
      let data = {
        caracteristicas:{
          esObligatoria: this.switchOblOpc.value,
          esIndividual: this.switchGruInd.value,
          esTutorAsignado: this.switchAsiSol.value,
          esTutorFijo: this.switchVarFij.value,
        }
      }
      this.$emit('next', data)
      this.loading = true;
    },
    load(){
      this.loading = true;
    },
    stop(){
      this.loading = false;
    }
  },
}
</script>

<style scoped lang="scss"> 
.fields{
  max-width:400px;
  margin:0 auto;
}
/* scope for encapsulate css */
</style>